curl --request POST \
--url https://api.shoppex.io/dev/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"email": "[email protected]",
"value": 1.01,
"currency": "<string>",
"quantity": 1,
"gateway": "<string>",
"gateways": [
"<string>"
],
"confirmations": 1,
"webhook": "<string>",
"return_url": "<string>",
"cancel_url": "<string>",
"white_label": true,
"custom_fields": [
{}
],
"customerId": "<string>",
"fraud_shield": {
"ip": "<string>",
"user_agent": "<string>",
"user_language": "<string>"
},
"product_addons": [
{}
],
"product_variants": [
{}
]
}
'{
"data": {
"url": "<string>",
"url_branded": "<string>",
"uniqid": "<string>",
"id": "<string>",
"shop_id": "<string>",
"type": "<string>",
"customer_id": "<string>",
"gateway": "<string>",
"gateways": [
"<string>"
],
"quantity": 123,
"total": 123,
"total_display": 123,
"currency": "<string>",
"exchange_rate": 123,
"crypto_exchange_rate": 123,
"customer_email": "<string>",
"crypto_address": "<string>",
"crypto_amount": 123,
"crypto_received": 123,
"crypto_uri": "<string>",
"crypto_confirmations_needed": 123,
"custom_fields": [
"<unknown>"
],
"is_developer_invoice": true,
"developer_title": "<string>",
"developer_webhook": "<string>",
"developer_return_url": "<string>",
"developer_cancel_url": "<string>",
"status": "<string>",
"created_at": 123,
"updated_at": 123
}
}Creates a new payment
curl --request POST \
--url https://api.shoppex.io/dev/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"email": "[email protected]",
"value": 1.01,
"currency": "<string>",
"quantity": 1,
"gateway": "<string>",
"gateways": [
"<string>"
],
"confirmations": 1,
"webhook": "<string>",
"return_url": "<string>",
"cancel_url": "<string>",
"white_label": true,
"custom_fields": [
{}
],
"customerId": "<string>",
"fraud_shield": {
"ip": "<string>",
"user_agent": "<string>",
"user_language": "<string>"
},
"product_addons": [
{}
],
"product_variants": [
{}
]
}
'{
"data": {
"url": "<string>",
"url_branded": "<string>",
"uniqid": "<string>",
"id": "<string>",
"shop_id": "<string>",
"type": "<string>",
"customer_id": "<string>",
"gateway": "<string>",
"gateways": [
"<string>"
],
"quantity": 123,
"total": 123,
"total_display": 123,
"currency": "<string>",
"exchange_rate": 123,
"crypto_exchange_rate": 123,
"customer_email": "<string>",
"crypto_address": "<string>",
"crypto_amount": 123,
"crypto_received": 123,
"crypto_uri": "<string>",
"crypto_confirmations_needed": 123,
"custom_fields": [
"<unknown>"
],
"is_developer_invoice": true,
"developer_title": "<string>",
"developer_webhook": "<string>",
"developer_return_url": "<string>",
"developer_cancel_url": "<string>",
"status": "<string>",
"created_at": 123,
"updated_at": 123
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...
1 - 128x >= 0.012 - 10x >= 1x >= 0255255500255Show child attributes
Default Response
Show child attributes